> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Pending Grant

> Updates a grant's core and schedule fields plus tags, regenerating vestings and lockups when the schedule changes.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/update-pending-grant
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/update-pending-grant:
    post:
      operationId: updatePendingGrant
      summary: Update Pending Grant
      description: >-
        Updates a grant's core and schedule fields plus tags, regenerating
        vestings and lockups when the schedule changes.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePendingGrantRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdatePendingGrantResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdatePendingGrantRequest:
      type: object
      properties:
        grantID:
          type: string
          format: uuid
        grantName:
          type: string
          minLength: 1
          maxLength: 200
        grantDescription:
          type: string
          maxLength: 5000
        grantConfigurationID:
          type: string
          format: uuid
        grantAmount:
          type: number
          minimum: 0
        allocationType:
          type:
            - string
            - 'null'
          maxLength: 100
          description: >-
            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it
        vestingStartDate:
          type: string
          format: date-time
        grantDate:
          type: string
          format: date-time
        vestingFrequencyType:
          type: string
          enum:
            - MONTHLY
            - QUARTERLY
            - SEMIANNUALLY
            - YEARLY
            - CUSTOM
            - DAILY
            - WEEKLY
        vestingCliffPercentage:
          type: number
          minimum: 0
          maximum: 100
        vestingCliffPeriods:
          type: integer
          minimum: 0
        vestingPeriods:
          type: integer
          minimum: 0
        isCashCompensation:
          type: boolean
        scheduleStringOverride:
          type:
            - string
            - 'null'
          maxLength: 500
          description: >-
            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it
        section83BElectionEligible:
          type: boolean
        isTaxable:
          type: boolean
        taxCurrencyCode:
          type: string
          enum:
            - TRY
            - ILS
            - CRC
            - TTD
            - SGD
            - JPY
            - AUD
            - NOK
            - INR
            - GBP
            - CHF
            - RUB
            - CAD
            - BRL
            - NGN
            - KRW
            - AED
            - LBP
            - EUR
            - NZD
            - ZAR
            - USD
            - USDC
            - USDT
            - USDP
            - PHP
            - PLN
            - RSD
            - HKD
            - TWD
            - AFN
            - AMD
            - ANG
            - AOA
            - ARS
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CDF
            - CLF
            - CLP
            - CNY
            - COP
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - FJD
            - FKP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KWD
            - KYD
            - KZT
            - LAK
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NPR
            - NIO
            - OMR
            - PAB
            - PEN
            - PGK
            - PKR
            - PYG
            - QAR
            - RON
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - TJS
            - TMT
            - TND
            - TOP
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XOF
            - XPF
            - YER
            - ZMW
            - SEK
            - THB
        grantAdminCurrencyCode:
          type: string
          enum:
            - TRY
            - ILS
            - CRC
            - TTD
            - SGD
            - JPY
            - AUD
            - NOK
            - INR
            - GBP
            - CHF
            - RUB
            - CAD
            - BRL
            - NGN
            - KRW
            - AED
            - LBP
            - EUR
            - NZD
            - ZAR
            - USD
            - USDC
            - USDT
            - USDP
            - PHP
            - PLN
            - RSD
            - HKD
            - TWD
            - AFN
            - AMD
            - ANG
            - AOA
            - ARS
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CDF
            - CLF
            - CLP
            - CNY
            - COP
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - FJD
            - FKP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KWD
            - KYD
            - KZT
            - LAK
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NPR
            - NIO
            - OMR
            - PAB
            - PEN
            - PGK
            - PKR
            - PYG
            - QAR
            - RON
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - TJS
            - TMT
            - TND
            - TOP
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XOF
            - XPF
            - YER
            - ZMW
            - SEK
            - THB
        offPlatformDate:
          type: string
          format: date-time
        tags:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 100
          maxItems: 100
        pricePerUnit:
          type: number
          minimum: 0
        priceTotal:
          type: number
          minimum: 0
        vestingScheduleOverride:
          type: boolean
        autoVesting:
          type: boolean
        grantTemplateID:
          type: string
          format: uuid
      required:
        - grantID
        - grantName
        - grantDescription
        - grantConfigurationID
        - grantAmount
        - vestingStartDate
        - vestingFrequencyType
        - vestingCliffPercentage
        - vestingCliffPeriods
        - vestingPeriods
        - tags
    UpdatePendingGrantResponse:
      type: object
      properties:
        grantID:
          type: string
      required:
        - grantID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
